
import Taro from '@tarojs/taro'
import { View, Button, RadioGroup, Label, Radio, ScrollView } from '@tarojs/components'
import { API_GET_AGENT_BUILDINGS, API_ITEMS_LIST } from '@/constants/api'
import { ROLE_CODE } from '@/constants/user'
import { useSelector } from 'react-redux'
import { fetch } from '@/utils/request'

import { useState, useEffect, useRef } from 'react'
import './style.css'


export default (props) => {
  const { closeModal, setBuidName, onChange = () => { }, type = '', frameTitle, flag, } = props


  let wrapAnimate = 'wrap wrapAnimate'
  let frameAnimate = 'frame-wrapper'
  const [textNextSum, setTextNext] = useState(1)
  const [recommendContent, setRecommendContent] = useState([])
  const city = useSelector(state => state.city)

  const [loading, setLoading] = useState(false)
  const [dicts, setDicts] = useState([])

  const hideFrame = (e) => {
    console.log('关闭', e);
    closeModal()//关闭

  }


  useEffect(() => {
    if (type !== ROLE_CODE.CUSTOMER && type !== ROLE_CODE.DRIFT && type !== ROLE_CODE.CONSULTANT) {
      fetch({ url: API_GET_AGENT_BUILDINGS }).then((res) => {
        setDicts(res || [])
      })
    } else {
      fetch({ url: API_ITEMS_LIST, payload: { pageNumber: 1, pageSize: 1000, cityId: city.curCity.id } }).then((res) => {

        setDicts(res.records)
      })
    }
  }, [])

  const [darkMode, setDarkMode] = useState('light')

  useEffect(() => {
    Taro.getSystemInfo({
      success: function (res) {
        console.log(res.theme)
        setDarkMode(res.theme)

      }
    })

  }, [darkMode])

  const [conTent, setConTent] = useState()

  const buildingConten = (e) => {
    console.log(e, 'eeeeeeeeeeeeeeee');
    setConTent(e.detail.value)




  }

  const buliClick = (e) => {
    e.stopPropagation()

    if (conTent === '' || conTent === null || conTent === undefined) {
      Taro.showToast({
        title: '未正确选择楼盘',
        icon: 'error',
        duration: 2000
      })

    } else {
      onChange(conTent)
      return dicts.map((item, inx) => {


        if (item.buildingId === conTent) {


          const findIndex = inx
          const name = dicts[findIndex].buildingName
          //  item.buildingName
          setBuidName(name)
          console.log(name);

          closeModal()

          console.log('选中', conTent);
          // const newArr = dicts.filter(function (obj) {
          //   return obj.buildingId == e.detail.value;
          // });
          // console.log(newArr);



        }
        return item

      })


    }

  }


  return (
    flag && <view   >
      <view className={wrapAnimate} style='background:rgba(0,0,0,0);'></view>
      <view onClick={hideFrame} className={frameAnimate} catchMove>
        <view className={darkMode == 'dark' ? 'frame-dark' : 'frame'}>
          {/* 标题  */}
          <view className={darkMode == 'dark' ? 'title-wrapper-dark' : 'title-wrapper'}>
            <view style={{ marginLeft: '-8vw' }}>{frameTitle}</view>
          </view>
          {/* 内容 */}
          <view style='overflow-x: hidden;'>
            <View className='page-section'>
              <View className='radio-list' >
                <scroll-view
                  scrollY
                  style={{ height: '40vh', overflow: 'hidden' }}
                  catchMove
                >
                  <RadioGroup className='radio-list__RadioGroup' onChange={buildingConten} onClick={e => e.stopPropagation()}>
                    {dicts.map((item, i) => {
                      return (
                        <Label catchMove className='radio-list__label' for={i} key={i}>
                          <view className={darkMode == 'dark' ? 'radio-list__text-dark' : 'radio-list__text'}>{item.buildingName}</view>

                          <Radio catchMove className='radio-list__radio' value={item.buildingId} checked={item.buildingId === conTent ? true : false}></Radio>

                        </Label>
                      )
                    })}
                  </RadioGroup>
                </scroll-view>
              </View>
            </View>

            {/* <view className='bottom-text' onClick={handleTextNext}> */}
            <view style={{ display: 'flex', margin: '2em auto' }}>
              <Button className='checkBtn' onClick={() => closeModal()}  >取消</Button>
              <Button className='okBtn' onClick={buliClick}> 确定</Button>
            </view>

          </view>
        </view>
      </view>
    </view>

  )
}